# directoryEntry Struct Reference

UbixFS Directory Entry. More...

`#include <ubixfs.h>`

## Data Fields

uInt32 | startCluster
uInt32 | size
uInt32 | creationDate
uInt32 | lastModified
uInt32 | uid
uInt32 | gid
uInt16 | attributes
uInt16 | permissions
char | fileName [256]

## Detailed Description

UbixFS Directory Entry.

## Field Documentation

uInt16 directoryEntry::attributes

| Files Attributes

uInt32 directoryEntry::creationDate

| Date Created

char directoryEntry::fileName[256]

| File Name

uInt32 directoryEntry::gid

| GID Of Owner

uInt32 directoryEntry::lastModified

| Date Last Modified

uInt16 directoryEntry::permissions

| Files Permissions

uInt32 directoryEntry::size

| Size Of File

uInt32 directoryEntry::startCluster

| Starting Cluster Of File

uInt32 directoryEntry::uid

| UID Of Owner

The documentation for this struct was generated from the following file:

- ubixfs.h